UpdateAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.UpdateAutomation(ctx, operations.C1APIAppV1AppEntitlementsUpdateAutomationRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppEntitlementServiceUpdateAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.updateAutomation({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"basic": {
"expression": "<string>"
},
"cel": {
"expression": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"none": {},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update"
payload = {
"basic": { "expression": "<string>" },
"cel": { "expression": "<string>" },
"description": "<string>",
"displayName": "<string>",
"entitlements": { "entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
] },
"none": {},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
basic: {expression: '<string>'},
cel: {expression: '<string>'},
description: '<string>',
displayName: '<string>',
entitlements: {entitlementRefs: [{appId: '<string>', id: '<string>'}]},
none: {},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'basic' => [
'expression' => '<string>'
],
'cel' => [
'expression' => '<string>'
],
'description' => '<string>',
'displayName' => '<string>',
'entitlements' => [
'entitlementRefs' => [
[
'appId' => '<string>',
'id' => '<string>'
]
]
],
'none' => [
],
'updateMask' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"basic\": {\n \"expression\": \"<string>\"\n },\n \"cel\": {\n \"expression\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"entitlements\": {\n \"entitlementRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ]\n },\n \"none\": {},\n \"updateMask\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"basic\": {\n \"expression\": \"<string>\"\n },\n \"cel\": {\n \"expression\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"entitlements\": {\n \"entitlementRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ]\n },\n \"none\": {},\n \"updateMask\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"AppEntitlementAutomation": {
"appEntitlementId": "<string>",
"appId": "<string>",
"basic": {
"expression": "<string>"
},
"cel": {
"expression": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"lastRunStatus": {
"errorMessage": "<string>",
"lastCompletedAt": "2023-11-07T05:31:56Z",
"status": "APP_ENTITLEMENT_AUTOMATION_RUN_STATUS_UNSPECIFIED"
},
"managedByRequestCatalogId": "<string>",
"none": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}App Entitlement Automation
Update Automation
Update the automation rule for an app entitlement, including its display name, description, and conditions.
POST
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{app_entitlement_id}
/
automation
/
update
UpdateAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.UpdateAutomation(ctx, operations.C1APIAppV1AppEntitlementsUpdateAutomationRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppEntitlementServiceUpdateAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.updateAutomation({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"basic": {
"expression": "<string>"
},
"cel": {
"expression": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"none": {},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update"
payload = {
"basic": { "expression": "<string>" },
"cel": { "expression": "<string>" },
"description": "<string>",
"displayName": "<string>",
"entitlements": { "entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
] },
"none": {},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
basic: {expression: '<string>'},
cel: {expression: '<string>'},
description: '<string>',
displayName: '<string>',
entitlements: {entitlementRefs: [{appId: '<string>', id: '<string>'}]},
none: {},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'basic' => [
'expression' => '<string>'
],
'cel' => [
'expression' => '<string>'
],
'description' => '<string>',
'displayName' => '<string>',
'entitlements' => [
'entitlementRefs' => [
[
'appId' => '<string>',
'id' => '<string>'
]
]
],
'none' => [
],
'updateMask' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"basic\": {\n \"expression\": \"<string>\"\n },\n \"cel\": {\n \"expression\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"entitlements\": {\n \"entitlementRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ]\n },\n \"none\": {},\n \"updateMask\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"basic\": {\n \"expression\": \"<string>\"\n },\n \"cel\": {\n \"expression\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"entitlements\": {\n \"entitlementRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ]\n },\n \"none\": {},\n \"updateMask\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"AppEntitlementAutomation": {
"appEntitlementId": "<string>",
"appId": "<string>",
"basic": {
"expression": "<string>"
},
"cel": {
"expression": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"lastRunStatus": {
"errorMessage": "<string>",
"lastCompletedAt": "2023-11-07T05:31:56Z",
"status": "APP_ENTITLEMENT_AUTOMATION_RUN_STATUS_UNSPECIFIED"
},
"managedByRequestCatalogId": "<string>",
"none": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Body
application/json
The AppEntitlementServiceUpdateAutomationRequest message.
This message contains a oneof named conditions. Only a single field of the following list may be set at a time:
- none
- entitlements
- cel
- basic
Response
200 - application/json
Successful response
The AppEntitlementServiceUpdateAutomationResponse message.
Was this page helpful?